function love.load()
	objects = {}
	int = 0.1
	tick = 0
	addObject(100)
	love.mouse.setVisible(false)
	rand = math.random(1, 2)
	randred = math.random(0, 100)
	
	bx = love.graphics.getWidth()/2
	by = love.graphics.getHeight()/2
	
	glow = love.graphics.newImage("glow.png")
	bg = love.graphics.newImage("bg.png")
	
end


function addObject(a)
	for i=1, a do
		rand = math.random(1, 2)
		randred = math.random(0, 100)
		objects[#objects + 1] = {
			x = math.random(1, love.graphics.getWidth()),
			y = math.random(1, love.graphics.getHeight()),
			s = math.random(30, 80),
			d = false,
			red = false
		}
		if rand == 1 then
			objects[i].d = true
		else
			objects[i].d = false
		end	
		
		--RANDRED
		if randred < 10 then
			objects[i].red = true
		else
			objects[i].red = false
		end
	end
end

function love.update(dt)
	mx, my = love.mouse.getPosition()
	
	for i=1, #objects do
		if objects[i].d then
			objects[i].x = objects[i].x + objects[i].s * dt
		else
			objects[i].x = objects[i].x - objects[i].s * dt
		end

		if objects[i].x > love.graphics.getWidth() then
			objects[i].d = not objects[i].d
		elseif objects[i].x < 0 then	
			objects[i].d = not objects[i].d
		end
	end	
		
end

function love.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(bg)
	for i=1, #objects do
		--LINES
		love.graphics.setColor(255 - (objects[i].s*8.5), 255 - (objects[i].s*8.5), 255 - (objects[i].s*8.5), 80)
		love.graphics.line(bx, by, objects[i].x, objects[i].y)
		
		--BALLS 
		if objects[i].red then
			love.graphics.setColor(255, 255, 255, 255- (objects[i].s*8.5))
			love.graphics.setBlendMode("additive")
			love.graphics.draw(glow, objects[i].x, objects[i].y, 0, 1, 1, 64, 64)
			love.graphics.setBlendMode("alpha")
			love.graphics.setColor(255 - (objects[i].s*8.5), 0, 0, 200)
		else
			love.graphics.setColor(255 - (objects[i].s*8.5), 255 - (objects[i].s*8.5), 255 - (objects[i].s*8.5), 200)
		end
		love.graphics.circle("fill", objects[i].x, objects[i].y, 2)
		
		--[[BIG BALL
		love.graphics.setColor(255, 0, 0, 1)
		love.graphics.circle("fill", mx, my, 32)
		love.graphics.setColor(255, 0, 0, 2)
		love.graphics.circle("line", mx, my, 32)
		--]]
	end
	love.graphics.setColor(255, 0, 0)
	--love.graphics.print("FPS: "..love.timer.getFPS(), 12, 12)
end

function love.mousepressed(x, y, k)
	if k == "l" then
	
	end
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
end